@import "description.scss";

.popup {

  &__linkArrow {
    background-image: url("/open_arrow.svg");
    width: 40px;
    height: 40px;
  }

  &__fade {
    &::before {
      background: #000;
      content: "";
      position: fixed;
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      width: 100%;
      height: 100vh;
      opacity: 0.6;
      z-index: 101;
    }
  }

  &__content {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 102;
    min-width: 295px;
    max-width: 600px;
    width: 100%;
    background-color: #fff;
    padding: 30px;
    border-radius: 10px;

    @include mobile {
      width: 100%;
      min-width: 100%;
      max-width: 100%;
      height: 100%;
      border-radius: 0;
      padding: 10px 20px;
    }
  }

  &__logo {
    display: none;
    width: 77.33px;
    height: 20px;
    background: url("/next-public-fast/logo.svg") center no-repeat;
    margin-bottom: 30px;

    @include mobile {
      display: inline-block;
    }
  }

  &__close {
    width: 16px;
    height: 16px;
    position: absolute;
    right: 30px;
    top: 30px;
    cursor: pointer;

    @include mobile {
      top: 12px;
      path {
        fill: $color-red;
      }
    }
  }
}

.hidden {
  display: none !important;
}

.visible {
  display: block !important;
}
